using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using BookShopOnline.Bll;

public partial class Controls_BooksVisited : System.Web.UI.UserControl
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }

    public void BindBooksVisited(string bookIDList)
    {
        DataSet ds = new BookBll().SelectBooksVisited(bookIDList);
        Repeater1.DataSource = ds;
        Repeater1.DataBind();
    }

    protected void btnClear_Click(object sender, EventArgs e)
    {
        WebTool.ClearBookIDInCookies();
        BindBooksVisited(WebTool.GetBookIDInCookies());
    }
}
